Skip to main content
POST
/
v2
/
workspace
/
advancedwebhookconfig
/
get
Get Advanced Webhook Config
curl --request POST \
  --url https://api.velt.dev/v2/workspace/advancedwebhookconfig/get \
  --header 'x-velt-api-key: <x-velt-api-key>' \
  --header 'x-velt-auth-token: <x-velt-auth-token>'
{
  "result": {
    "status": "success",
    "message": "Advanced webhook configuration retrieved successfully.",
    "data": {
      "isEnabled": true,
      "encryptData": false,
      "encodeData": false,
      "publicKey": "",
      "enableDataProtection": false
    }
  }
}
Use this API to retrieve the current advanced webhook configuration for a workspace.
This endpoint uses API-key-level auth: pass x-velt-api-key and x-velt-auth-token as headers. You can obtain these from the Get Auth Tokens endpoint.
This endpoint is for Advanced Webhooks. For Basic Webhooks, use Get Webhook Config.
Advanced webhooks must be available for your workspace. If the feature is not enabled for your workspace, this endpoint returns a FAILED_PRECONDITION error. Contact us to enable advanced webhooks.

Endpoint

POST https://api.velt.dev/v2/workspace/advancedwebhookconfig/get

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

This endpoint does not require a request body.

Example Request

{
  "data": {}
}

Example Response

Success Response

{
  "result": {
    "status": "success",
    "message": "Advanced webhook configuration retrieved successfully.",
    "data": {
      "isEnabled": true,
      "encryptData": false,
      "encodeData": false,
      "publicKey": "",
      "enableDataProtection": false
    }
  }
}
If advanced webhooks have never been configured for the workspace, all fields are returned with their defaults (isEnabled: false, encryptData: false, encodeData: false, publicKey: "", enableDataProtection: false).

Failure Response

{
  "error": {
    "status": "FAILED_PRECONDITION",
    "message": "Advanced webhooks are not available for this workspace."
  }
}
{
  "result": {
    "status": "success",
    "message": "Advanced webhook configuration retrieved successfully.",
    "data": {
      "isEnabled": true,
      "encryptData": false,
      "encodeData": false,
      "publicKey": "",
      "enableDataProtection": false
    }
  }
}